Subject: Re: bug#50489: vc-annotate doesn't keep the current line

From: Dmitry Gutov <[email-masked]>
Date: Fri, 10 Sep 2021 02:15:46 +0300

On 09.09.2021 20:43, Juri Linkov wrote:
> After 'C-x v g' (vc-annotate), typing 'a' (vc-annotate-revision-previous-to-line)
> doesn't keep the current line.  For VC archaeology there is a need to traverse
> the history of the current line by typing a sequence of 'a a a ...'
> But 'a' doesn't keep the line current, so need to spend time
> finding the same line in the buffer to be able to type 'a' on it again.

I think it does keep the current line (by number).

But the exact text can shift up or down between revisions, so we end up 
hunting for it.

It might be possible to keep up with the hunks by doing full diff before 
switching the revision, then count removals/additions in preceding hunks 
and go there. But it would not work when 'a' brings you to the version 
of the file before it was renamed, for example.